TICKIT_PEN_COPY(3)

NAME
tickit_pen_copy, tickit_pen_copy_attr - copy attributes from one pen to another

SYNOPSIS
    #include <tickit.h>

    void tickit_pen_copy(TickitPen *dst, TickitPen *src,
        bool overwrite);
    void tickit_pen_copy_attr(TickitPen *dst, TickitPen *src,
        TickitPenAttr attr);

Link with -ltickit.

DESCRIPTION
tickit_pen_copy() copies attributes that are defined on src into dst. If an attribute is already defined on dst then it will only be changed if overwrite is true; otherwise the existing value will be left alone. It will invoke the TICKIT_EV_CHANGE event on the dst pen instance if the value of at least one attribute has actually changed.

tickit_pen_copy_attr() copies the value of a single attribute from src into dst, or clears it in dst if it is not present in src. It will invoke the TICKIT_EV_CHANGE event on the dst pen instance.

RETURN VALUE
tickit_pen_copy() and tickit_pen_copy_attr() return no value.

SEE ALSO
tickit_pen_new(3), tickit_pen_set_bool_attr(3), tickit_pen_set_int_attr(3), tickit_pen_set_colour_attr(3), tickit_pen_clear(3), tickit_pen(7), tickit(7)